//测试MaterialProperty

{

	"AbilityName" : "TestPlayer_Ability_MaterialProperty_DynamicFloat",

	"AbilityStacking":"Unique",

    "DefaultModifier":

    {

        "ModifierStacking":"Unique",

        "OnAbilityStart":

        [

            //换顺序之前

            {

                "$type" : "MoleMole.ModifyMaterialPropertyAction",

                "Target" : "Self",

                "key" : "Avatar_Female_Size01_Aokaku_MA_Attack_ExQTE_Emission_01",

            },

            {

                "$type" : "MoleMole.ModifyMaterialPropertyAction",

                "Target" : "Self",

                "key" : "Avatar_Female_Size01_Aokaku_MA_Attack_ExQTE_Emission_02",

            },



            //换顺序之后

            // {

            //     "$type" : "MoleMole.ModifyMaterialPropertyAction",

            //     "Target" : "Self",

            //     "key" : "Avatar_Male_Size03_Anton_MA_Attack_ExQTE_SecondaryEmission_02",

            // },

            // {

            //     "$type" : "MoleMole.ModifyMaterialPropertyAction",

            //     "Target" : "Self",

            //     "key" : "Avatar_Male_Size03_Anton_MA_Attack_ExQTE_SecondaryEmission_01",

            // },

            // {

            //     "$type" : "MoleMole.ModifyMaterialPropertyAction",

            //     "Target" : "Self",

            //     "key" : "Avatar_Male_Size03_Anton_MA_Attack_ExQTE_OverrideOutline_02",

            // },

            // {

            //     "$type" : "MoleMole.ModifyMaterialPropertyAction",

            //     "Target" : "Self",

            //     "key" : "Avatar_Male_Size03_Anton_MA_Attack_ExQTE_OverrideOutline_01",

            // },







        ],



        "OnRemoved":

        [

            {

                "$type" : "MoleMole.RemoveMaterialPropertyAction",

                "Tag" : "Avatar_Male_Size03_Anton_MA_Attack_ExQTE_OverrideOutline_01",

                "Target" : "Self",

            },

            {

                "$type" : "MoleMole.RemoveMaterialPropertyAction",

                "Tag" : "Avatar_Male_Size03_Anton_MA_Attack_ExQTE_OverrideOutline_02",

                "Target" : "Self",

            },

            {

                "$type" : "MoleMole.RemoveMaterialPropertyAction",

                "Tag" : "Avatar_Male_Size03_Anton_MA_Attack_ExQTE_SecondaryEmission_01",

                "Target" : "Self",

            },

            {

                "$type" : "MoleMole.RemoveMaterialPropertyAction",

                "Tag" : "Avatar_Male_Size03_Anton_MA_Attack_ExQTE_SecondaryEmission_02",

                "Target" : "Self",

            },

        ]

    },

}